Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/JobAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/JobAdapter.cs	(revision 2065)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/JobAdapter.cs	(revision 2066)
@@ -338,9 +338,14 @@
     }
 
-    public ICollection<Job> FindJobs(State state, int cores, int memory) {
+    public ICollection<Job> FindJobs(State state, int cores, int memory,
+      Guid resourceId) {
       return
          base.FindMultiple(
            delegate() {
-             return Adapter.GetDataByStateCoresMemory(state.ToString(), cores, memory);
+             return Adapter.GetDataByStateCoresMemoryResource(
+               state.ToString(), 
+               cores,
+               memory, 
+               resourceId);
            });
     }
Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IJobAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IJobAdapter.cs	(revision 2065)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IJobAdapter.cs	(revision 2066)
@@ -46,6 +46,10 @@
     /// <param name="cores">all jobs which require less or equal cores</param>
     /// <param name="memory">all jobs which require less or equal memory</param>
+    /// <param name="resourceId">all jobs that can be calculated by that resource</param>
     /// <returns></returns>
-    ICollection<Job> FindJobs(State state, int cores, int memory);
+    ICollection<Job> FindJobs(State state, 
+      int cores, 
+      int memory, 
+      Guid resourceId);
 
     /// <summary>
Index: /trunk/sources/HeuristicLab.Hive.Server.Scheduler/3.2/DefaultScheduler.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Scheduler/3.2/DefaultScheduler.cs	(revision 2065)
+++ /trunk/sources/HeuristicLab.Hive.Server.Scheduler/3.2/DefaultScheduler.cs	(revision 2066)
@@ -30,5 +30,9 @@
           session.GetDataAdapter<Job, IJobAdapter>();
 
-        List<Job> allOfflineJobsForClient = new List<Job>(jobAdapter.FindJobs(State.offline, hbData.FreeCores, hbData.FreeMemory));
+        List<Job> allOfflineJobsForClient = new List<Job>(
+          jobAdapter.FindJobs(State.offline, 
+          hbData.FreeCores,
+          hbData.FreeMemory, 
+          hbData.ClientId));
         return (allOfflineJobsForClient != null && allOfflineJobsForClient.Count > 0);
       }
@@ -53,5 +57,9 @@
 
         ClientInfo client = clientAdapter.GetById(clientId);
-        LinkedList<Job> allOfflineJobsForClient = new LinkedList<Job>(jobAdapter.FindJobs(State.offline, client.NrOfFreeCores, client.FreeMemory ));
+        LinkedList<Job> allOfflineJobsForClient = new LinkedList<Job>(
+          jobAdapter.FindJobs(State.offline, 
+          client.NrOfFreeCores, 
+          client.FreeMemory, 
+          client.Id));
 
         Job jobToCalculate = null;
